<!DOCTYPE html>
<html lang="fa" dir="rtl">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" href="./assets/css/style.css" />
    <title>ویرایش داکیومنت</title>
  </head>
  <body>
    <section id="main-contents">
      <div id="uploadLoader">
        <h1 class="d-none">درحال ارسال درخواست</h1>
        <h1 class="d-none">لطفا کمی صبر کنید</h1>

        <svg
          class="tea d-none"
          width="70"
          height="81"
          viewbox="0 0 37 48"
          fill="none"
          xmlns="http://www.w3.org/2000/svg"
        >
          <path
            d="M27.0819 17H3.02508C1.91076 17 1.01376 17.9059 1.0485 19.0197C1.15761 22.5177 1.49703 29.7374 2.5 34C4.07125 40.6778 7.18553 44.8868 8.44856 46.3845C8.79051 46.79 9.29799 47 9.82843 47H20.0218C20.639 47 21.2193 46.7159 21.5659 46.2052C22.6765 44.5687 25.2312 40.4282 27.5 34C28.9757 29.8188 29.084 22.4043 29.0441 18.9156C29.0319 17.8436 28.1539 17 27.0819 17Z"
            stroke="var(--secondary)"
            stroke-width="2"
          ></path>
          <path
            d="M29 23.5C29 23.5 34.5 20.5 35.5 25.4999C36.0986 28.4926 34.2033 31.5383 32 32.8713C29.4555 34.4108 28 34 28 34"
            stroke="var(--secondary)"
            stroke-width="2"
          ></path>
          <path
            id="teabag"
            fill="var(--secondary)"
            fill-rule="evenodd"
            clip-rule="evenodd"
            d="M16 25V17H14V25H12C10.3431 25 9 26.3431 9 28V34C9 35.6569 10.3431 37 12 37H18C19.6569 37 21 35.6569 21 34V28C21 26.3431 19.6569 25 18 25H16ZM11 28C11 27.4477 11.4477 27 12 27H18C18.5523 27 19 27.4477 19 28V34C19 34.5523 18.5523 35 18 35H12C11.4477 35 11 34.5523 11 34V28Z"
          ></path>
          <path
            id="steamL"
            d="M17 1C17 1 17 4.5 14 6.5C11 8.5 11 12 11 12"
            stroke-width="2"
            stroke-linecap="round"
            stroke-linejoin="round"
            stroke="var(--secondary)"
          ></path>
          <path
            id="steamR"
            d="M21 6C21 6 21 8.22727 19 9.5C17 10.7727 17 13 17 13"
            stroke="var(--secondary)"
            stroke-width="2"
            stroke-linecap="round"
            stroke-linejoin="round"
          ></path>
        </svg>
      </div>
      <p id="error-message">error happend</p>
      <p id="success-message">success happend</p>
      <div class="contents">
        <div class="margin-top-60" id="editDocument-info">
          <p class="label d-flex"><img class="platform-logo" src="https://picsum.photos/50/50" alt="platform-logo"> موزیکیشو</p>
          <div class="editMusicDocument-nameInfo margin-top-60">
            <p>بهنام بانی</p>
            <p>قرص قمر 2</p>
          </div>
        </div>
        <form action="" method="POST" id="editMusicDocument-form">
          <div class="margin-top-60" id="long-promo">
            <div class="label edit-label d-flex">
              <p class="">عنوان طولانی آهنگ</p>
              <p class="input-restriction longPromo-res">تعداد حروف بیش از حد مجاز است</p>
            </div>
            
            <div class="input-holder">
              <textarea
                type="text"
                rows="2"
                autocomplete="off"
                class="input-text largInput-text"
                name="editMusicDocument-longPromo"
                id="editMusicDocument-longPromo"
                placeholder="عنوان طولانی آهنگ را وارد کنید"
                onfocus="this.placeholder = ''"
                onblur="this.placeholder = 'عنوان طولانی آهنگ را وارد کنید'"
              ></textarea>
            </div>
          </div>
          <div class="margin-top-60" id="yoast-desc">
            <div class="label edit-label d-flex">
              <p class="">توضیحات متا Yoast</p>
              <p class="input-restriction yoast-res">تعداد حروف بیش از حد مجاز است</p>
            </div>

            <div class="input-holder">
              <textarea
                type="text"
                autocomplete="off"
                class="input-text largInput-text"
                rows="3"
                name="editMusicDocument-yoastDescription"
                id="editMusicDocument-yoastDescription"
                placeholder="توضیحات متا آهنگ را وارد کنید"
                onfocus="this.placeholder = ''"
                onblur="this.placeholder = 'توضیحات متا آهنگ را وارد کنید'"
              ></textarea>
            </div>
          </div>
          <div class="margin-top-60" id="music-desc">
            <p class="label edit-label">توضیحات آهنگ</p>
            <div class="input-holder">
              <textarea
                type="text"
                autocomplete="off"
                class="input-text largInput-text"
                rows="10"
                name="editMusicDocument-musicDescription"
                id="editMusicDocument-musicDescription"
                placeholder="توضیحات آهنگ را وارد کنید"
                onfocus="this.placeholder = ''"
                onblur="this.placeholder = 'توضیحات آهنگ را وارد کنید'"
              ></textarea>
            </div>
          </div>
          <div class="margin-top-60" id="submit-container">
            <button id="editMusicDocument-submit" class="primary-btn m-auto">
              بروزرسانی پست در موزیکیشو
            </button>
          </div>
        </form>
      </div>
    </section>

    <script src="./assets/js/jquery-3.4.1.min.js"></script>

    <script>
      
  // document edit

  $("#editMusicDocument-longPromo").on("keypress input", function () {
    let inputVal = $(this).val();
    if (inputVal.length > 90) {
      $(".longPromo-res").show();
      $("#editMusicDocument-longPromo").addClass("input-error");
    }else{
      $(".longPromo-res").hide();
      $("#editMusicDocument-longPromo").removeClass("input-error");
    }
  });

  $("#editMusicDocument-yoastDescription").on("keypress input", function () {
    let inputVal = $(this).val();
    if (inputVal.length > 150) {
      $(".yoast-res").show();
      $("#editMusicDocument-yoastDescription").addClass("input-error");
    }else{
      $(".yoast-res").hide();
      $("#editMusicDocument-yoastDescription").removeClass("input-error");
    }
  });

    // validation
    $("#editMusicDocument-submit").click(function (e) {
    e.preventDefault();
    let longPromo = $("#editMusicDocument-longPromo").val();
    let yoastDescription = $("#editMusicDocument-yoastDescription").val();
    let musicDescription = $("#editMusicDocument-musicDescription").val();

    if (
      longPromo &&
      yoastDescription &&
      musicDescription
    ) {
      // $("#addNewMusic-form").submit();
      $("#uploadLoader").css("display", "flex");
      $("#uploadLoader h1, #uploadLoader svg")
        .show()
        .addClass("scale-in-center");
    } else {
      if (!longPromo) {
        $("#error-message").text("لطفا عنوان طولانی آهنگ را وارد کنید");
        error();
      } else if (!yoastDescription) {
        $("#error-message").text("لطفا توضیحات متا آهنگ را وارد کنید");
        error();
      } else if (!musicDescription) {
        $("#error-message").text("لطفا توضیحات آهنگ را وارد کنید");
        error();
      }
    }
  });

  function error() {
    $("#error-message")
      .show()
      .addClass("slide-in-top")
      .removeClass("slide-out-top");
    setTimeout(() => {
      $("#error-message").addClass("slide-out-top").removeClass("slide-in-top");
    }, 2000);
  }

  function success() {
    $("#success-message")
      .show()
      .addClass("slide-in-top")
      .removeClass("slide-out-top");
    setTimeout(() => {
      $("#success-message")
        .addClass("slide-out-top")
        .removeClass("slide-in-top");
    }, 2000);
  }
    </script>
  </body>
</html>
